/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for OB Fetal Body Weight Equations And Tables
 */
public enum EnumCM_OBFetalBodyWeightEquationsAndTables 
{
	//CID 12014 OB Fetal Body Weight Equations And Tables
	EFW_BY_AC_CAMPBELL_1975("EFW by AC, Campbell 1975"),
	EFW_BY_AC_BPD_HADLOCK_1984("EFW by AC, BPD, Hadlock 1984"),
	EFW_BY_AC_BPD_FL_HADLOCK_1984("EFW by AC, BPD, FL, Hadlock 1984"),
	EFW_BY_AC_BPD_FL_HADLOCK_1985("EFW by AC, BPD, FL, Hadlock 1985"),
	EFW_BY_AC_BPD_FL_HC_HADLOCK_1985("EFW by AC, BPD, FL, HC, Hadlock 1985"),
	EFW_BY_AC_FL_HADLOCK_1984("EFW by AC, FL, Hadlock 1984"),
	EFW_BY_AC_FL_HADLOCK_1985("EFW by AC, FL, Hadlock 1985"),
	EFW_BY_AC_FL_HC_HADLOCK_1985("EFW by AC, FL, HC, Hadlock 1985"),
	EFW_BY_AC_HC_HADLOCK_1984("EFW by AC, HC Hadlock 1984"),
	EFW_BY_BPD_TTD_HANSMANN_1986("EFW by BPD, TTD, Hansmann 1986"),
	EFW_BY_AC_AND_BPD_SHEPARD_1982("EFW by AC and BPD, Shepard 1982"),
	EFW_BY_BPD_FTA_FL_OSAKA_1990("EFW by BPD, FTA, FL, Osaka 1990"),
	EFW1_BY_SHINOZUKA_1996("EFW1 by Shinozuka 1996"),
	EFW2_BY_SHINOZUKA_1996("EFW2 by Shinozuka 1996"),
	EFW3_BY_SHINOZUKA_1996("EFW3 by Shinozuka 1996"),
	EFW_BY_BPD_APAD_TAD_FL_TOKYO_1987("EFW by BPD, APAD, TAD, FL, Tokyo 1987");	

	private String value;
	
	EnumCM_OBFetalBodyWeightEquationsAndTables(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
